# Get a download URL for a content video

Returns a temporary link to a content video.

Endpoint: GET /v2/videos/{video_id}/download
Version: 2026-04-10
Security: oauth2_as_a_user, oauth2_as_a_server

## Path parameters:

  - `video_id` (integer, required)
    ID of the video

## Query parameters:

  - `lifespan` (integer)
    Number of seconds the link should remain valid from the time it is generated

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.video_id` (integer)
    ID of the video
    Example: 628

  - `data.download_url` (string)
    Example: "https://cdn.example.com/acme/acmetimes/video/cab13"

  - `data.width` (integer)
    Width of the video preview image in pixels
    Example: 720

  - `data.height` (integer)
    Height of the video preview image in pixels
    Example: 480


